Skip to main content
`Ctrl`+`K`

# MatISFixLocalEmpty

Compress out zero local rows from the local matrices

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatISFixLocalEmpty(Mat A, PetscBool fix)

Logically Collective

## Input Parameters

- A - the matrix

- fix - the boolean flag

## Note

When `fix` is `PETSC_TRUE`, new local matrices and l2g maps are generated during the final assembly process.

## See Also

Matrices, `Mat`, `MATIS`, `MatCreate()`, `MatCreateIS()`, `MatISSetPreallocation()`, `MatAssemblyEnd()`, `MAT_FINAL_ASSEMBLY`

## Level

advanced

## Location

src/mat/impls/is/matis.c

## Implementations

MatISFixLocalEmpty_IS() in src/mat/impls/is/matis.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages